Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Upgrading while `driver=LIBVIRT` may result in broken instances #592

Closed
Saviq opened this issue Feb 6, 2019 · 0 comments

Comments

@Saviq
Copy link
Collaborator

commented Feb 6, 2019

$ snap set multipass driver=LIBVIRT
$ multipass launch --name libvirt-test
$ grep emulator /var/snap/multipass/common/libvirt/qemu/libvirt-test.xml
  <emulator>/snap/multipass/593/usr/bin/qemu-system-x86_64</emulator>
# where 593 is a revision of the snap that may be removed

It's not clear when is the domain rewritten (but it is, as I couldn't find a reliable way to reproduce with the published revisions), but I stumbled upon this while working on #591.

@Saviq Saviq added the bug label Feb 6, 2019

@Saviq Saviq self-assigned this Feb 6, 2019

Saviq added a commit that referenced this issue Feb 6, 2019
Saviq added a commit that referenced this issue Feb 6, 2019
Saviq added a commit that referenced this issue Feb 12, 2019
bors bot added a commit that referenced this issue Feb 12, 2019
Merge #593
593: [libvirt] use `current` in `<emulator>` path (Fixes #592) r=townsend2010 a=Saviq



Co-authored-by: Michał Sawicz <michal@sawicz.net>

@Saviq Saviq closed this Feb 19, 2019

@Saviq Saviq added this to To do in 19.04 cycle via automation Mar 29, 2019

@Saviq Saviq added this to To do in v0.6.0 via automation Mar 29, 2019

@Saviq Saviq moved this from To do to Done in v0.6.0 Mar 29, 2019

@Saviq Saviq moved this from To do to Done in 19.04 cycle Mar 29, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
1 participant
You can’t perform that action at this time.